// A program demonstrating the relationship between strings and arrays
// Exercises:
// - Print the string in reverse order
// - Sort the string
// - Create a method to convert a string into an array of char
// - Create a method to convert an array of char into string
// - Create a method to return a substring using arrays

import java.util.Scanner;

class StringToArray {

    public static void main (String[] args) 
    {

        Scanner scan = new Scanner(System.in);
        System.out.print("Enter a string: ");
        String str = scan.nextLine();
        System.out.println("Input string:");
        System.out.println(str);
        int strlen = str.length(); // note that length() is a method
        
        char[] arr = new char[strlen];
        
        for (int i=0; i<strlen; i++) // convert str to array 
            arr[i] = str.charAt(i);
            
        System.out.println("Converted to array:");
            pr(arr);
        
        char[] arr1 = {'a','b','c','1','2','3'}; // create an array with initializer list
        
        String newstr = "";
        for (int i=0; i<arr.length; i++) // convert arr to string 
            newstr = newstr + arr[i];
        
        System.out.println("Converted back to string:");
        System.out.println(newstr);

    } 
    
    public static void pr(char[] arr)
    {
        for (int i=0; i<arr.length; i++) 
            System.out.print (arr[i]);
        System.out.println ();
    }
    
    public static void pr(char[] arr, int n)
    {
        for (int i=0; i<n; i++) 
            System.out.print (arr[i]);
        System.out.println ();
    }
    
    public static void sort(char[] arr)
    {
        char t, swaps = 0;
        do { 
            swaps = 0; 
            for (int i=0; i<arr.length-1; i++) 
                if (arr[i]>arr[i+1]) {
                    t=arr[i]; 
                    arr[i]=arr[i+1]; 
                    arr[i+1]=t; 
                    swaps++;
            }
        } while (swaps>0);
    }
}
